## convlit 1.8

=== Makefile ===
all: openclit.a

CFLAGS=-O3 -Wall -Ides -Isha -Inewlzx -I.
clean:
	rm -f *.o openclit.a des/*.o lzx/*.o sha/*.o

openclit.a: litatom.o litdrm.o litlib.o litembiggen.o littags.o litmetatags.o litmanifest.o litdirectory.o litsections.o litheaders.o litutil.o sha/mssha1.o des/des.o newlzx/lzxglue.o newlzx/lzxd.o
	-rm -f openclit.a
	ar rv openclit.a $^

=== debian/changelog ===
convlit (1.8-8) unstable; urgency=medium

  * QA upload.
  * debian/copyright: Update packaging copyright information.
  * debian/salsa-ci.yml: Add to provide CI tests for Salsa.
  * debian/tests/control: Create autopkgtest.

 -- Ilaine Inácio <ilaine@alunos.utfpr.edu.br>  Mon, 20 Oct 2025 21:58:06 -0300

convlit (1.8-7) unstable; urgency=medium

  * QA upload.

  * Introduced patch naming scheme.
  * Added 1040-hurd-no-max-path.patch to port code to Hurd.
  * Added 1050-printf-size_t.patch avoiding printing size_t into
    non-portable %d.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 06 Nov 2024 07:50:31 +0100

convlit (1.8-6) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.6.1 to 4.7.0.
  * Use wrap-and-sort -at for debian control files

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 01 May 2024 22:37:37 +0200

convlit (1.8-5) unstable; urgency=medium

  * QA upload.
  * Fix building with -Werror=implicit-function-declaration.
    (Closes: #1066270)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 04 Apr 2024 16:21:28 +0200

convlit (1.8-4) unstable; urgency=medium

  * QA upload.

  [ Vagrant Cascadian ]
  * debian/rules: Finish conversion to dh. (Closes: #901987, #1011104)
  * debian/control: Update to Standards-Version 4.6.1.

  [ Helmut Grohne ]
  * clit18/Makefile: Make one plain gcc call substitutable.
    (Closes: #901987)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Mon, 16 May 2022 15:11:57 -0700

convlit (1.8-3) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.6.0.
      - Debhelper-compat bumped to 13.
      - Organized Depends.
  * debian/copyright:
      - Added Upstream-Contact.
      - Added public-domain license text.
  * debian/patches/01_old_changes.patch: Added "Forwarded: Not-needed"
                                         in header.
  * debian/patches/02_hardening.patch: Created.
  * debian/rules:
      - Added "dh sequencer" (Closes: #999311).
      - Removed some comments.
  * debian/upstream/metadata: Created.
  * debian/watch:
      - Bumped to version 4.
      - Removed comments.

 -- Hugo Torres de Lima <hugotorres@protonmail.com>  Mon, 20 Dec 2021 00:25:29 -0300

convlit (1.8-2) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #869299)
  * Use new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
      - debian/rules: Replace dh_clean -k with dh_prep.
  * Use new patch format, quilt 3.0. Consequently:
      - debian/patches: Add patches previously on the old format.
      - debian/source/format: set compatibility with quilt 3.0.
  * debian/control:
      - Bumped Standards-Version to 4.4.0.
      - Change Priority to optional.
      - Use the actually used origin for the homepage field.
  * debian/copyright:
      - Added new rights in debian/* block.
      - Fixed upstream licensing and rights for several files.
  * debian/rules:
      - Add hardening parameter on DEB_BUILD_MAINT_OPTIONS.
      - Remove EOL spaces.
  * debian/watch:
      - Use https on the checked url.

 -- Marco Villegas <marco@marvil07.net>  Fri, 19 Jul 2019 11:35:11 -0300

convlit (1.8-1) unstable; urgency=low

  * Initial release, closes: #472586.
  * Added manpage clit(1).

 -- Joe Nahmias <jello@debian.org>  Thu, 29 May 2008 00:59:04 -0400

=== debian/control ===
Source: convlit
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               libtommath-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://www.kyzer.me.uk/pack/convlit/
Vcs-Browser: https://salsa.debian.org/debian/convlit
Vcs-Git: https://salsa.debian.org/debian/convlit.git

Package: convlit
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: convert Microsoft Reader .LIT files to HTML
 This program will extract "DRM1" format .LIT files into their original
 XML/HTML.  If you have the appropriate "keys.txt" file with your private
 EBook keys, you can also convert "DRM5" files to "DRM1".

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build --sourcedir=$(CURDIR)/lib
	dh_auto_build --sourcedir=$(CURDIR)/clit18

override_dh_auto_clean:
	dh_auto_clean --sourcedir=$(CURDIR)/clit18
	dh_auto_clean --sourcedir=$(CURDIR)/lib
	dh_auto_clean

override_dh_installman:
	dh_installman debian/clit.1

=== debian/tests/control ===
Test-Command: clit -h | grep "^ConvertLIT" -C 3
Restrictions: superficial

=== debian/watch ===
version = 4
https://www.kyzer.me.uk/pack/convlit/ open_c-lit-([.0-9]*)\.tar\.gz
